Package com.independentsoft.office.odf

# Class Settings

java.lang.Object
com.independentsoft.office.odf.Settings

public class Settings extends Object
Represents one or more objects, each of which represents a set of application settings.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Settings()`
  Initializes a new instance of the Settings class.
  `Settings​(byte[] buffer)`
  Instantiates a new settings.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Settings`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<Configuration>`
  `getConfigurations()`
  Contains a collection of Configuration objects.
  `static boolean`
  `isEmpty​(String value)`
  Checks if is empty.
  `String`
  `toString()`
  Converts the value of the current Settings object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Settings

    public Settings()
    Initializes a new instance of the Settings class.

  - ### Settings

    public Settings​(byte[] buffer) throws XMLStreamException
    Instantiates a new settings.
    Parameters:
      `buffer` - the buffer
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public Settings clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Settings object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### isEmpty

    public static boolean isEmpty​(String value)
    Checks if is empty.
    Parameters:
      `value` - the value
    Returns:
      true, if is empty

  - ### getConfigurations

    public List<Configuration> getConfigurations()
    Contains a collection of Configuration objects.
    Returns:
      the configurations